# Class Photo

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.Photo

public class Photo extends FBObject
This class represents a Facebook Photo Object http://developers.facebook.com/docs/reference/api/photo/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Photo()`
  Empty Contructor
  `Photo(Hashtable props)`
  Constructor with properties to initialize this photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(java.lang.Object o)`
  `Vector`
  `getComments()`
  Gets the comments on this Photos, where each entry is a Post Object
  `String`
  `getCreated_time()`
  Deprecated.
  `String`
  `getCreatedTime()`
  Get created time.
  `User`
  `getFrom()`
  Get from
  `int`
  `getHeight()`
  Get height
  `String`
  `getIconUrl()`
  Get iconUrl
  `Vector`
  `getImages()`
  Get images vector where each entry is a String of a url
  `String`
  `getLink()`
  Get link
  `String`
  `getPictureUrl()`
  Get pictureUrl
  `int`
  `getPosition()`
  Get position
  `String`
  `getSourceUrl()`
  Get sourceUrl
  `String`
  `getUpdated_time()`
  Deprecated.
  `String`
  `getUpdatedTime()`
  Get updated time.
  `int`
  `getWidth()`
  Get width
  `int`
  `hashCode()`

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Photo

    public Photo()
    Empty Contructor

  - ### Photo

    public Photo(Hashtable props)
    Constructor with properties to initialize this photo.

- ## Method Details

  - ### getCreated_time

    @Deprecated public String getCreated_time()
    Deprecated.

    Get created_time

    ###### Returns

    created_time

    ###### Deprecated

    Use `#getCreatedTime()`.

  - ### getCreatedTime

    public String getCreatedTime()

    Get created time.

    ###### Returns

    created time

  - ### getFrom

    public User getFrom()

    Get from

    ###### Returns

    from

  - ### getHeight

    public int getHeight()

    Get height

    ###### Returns

    height

  - ### getIconUrl

    public String getIconUrl()

    Get iconUrl

    ###### Returns

    iconUrl

  - ### getLink

    public String getLink()

    Get link

    ###### Returns

    link

  - ### getPictureUrl

    public String getPictureUrl()

    Get pictureUrl

    ###### Returns

    pictureUrl

  - ### getPosition

    public int getPosition()

    Get position

    ###### Returns

    position

  - ### getSourceUrl

    public String getSourceUrl()

    Get sourceUrl

    ###### Returns

    sourceUrl

  - ### getUpdated_time

    @Deprecated public String getUpdated_time()
    Deprecated.

    Get updated_time

    ###### Returns

    updated_time

    ###### Deprecated

    Use `#getUpdatedTime()`.

  - ### getUpdatedTime

    public String getUpdatedTime()

    Get updated time.

    ###### Returns

    updated time

  - ### getWidth

    public int getWidth()

    Get width

    ###### Returns

    width

  - ### getImages

    public Vector getImages()

    Get images vector where each entry is a String of a url

    ###### Returns

    images

  - ### getComments

    public Vector getComments()

    Gets the comments on this Photos, where each entry is a Post Object

    ###### Returns

    a Vector of Post Objects

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(java.lang.Object o)
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Overrides:
      `hashCode` in class `FBObject`